Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6994 - Kernel i586-smp includes unneeded APM support
Summary: Kernel i586-smp includes unneeded APM support
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-14 01:09 UTC by Edward Schlunder
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 22:26:14 UTC


Attachments (Terms of Use)

Description Edward Schlunder 1999-11-14 01:09:17 UTC
APM is not SMP safe, so APM is disabled by the kernel at boot time. The
i386 and i686 SMP kernels don't have APM compiled in, but i586 SMP kernel
does. This just wastes memory.

The rawhide kernel's also have this mistake.

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 Alan Cox 2000-08-22 14:40:43 UTC
If you install an SMP kernel on an SMP capable box with one CPU, or you want smp
power
off only you need this



Note You need to log in before you can comment on or make changes to this bug.